手机版
你好,游客 登录 注册 搜索
背景:
阅读新闻

CVE-2019-19844:Django潜在帐户劫持漏洞警报

[日期:2019-12-21] 来源:Linux公社  作者:醉落红尘 [字体: ]

最近,Django正式发布了一个安全公告,以修复安全漏洞。 高风险漏洞为CVE-2019-19844。 Django的密码重设表单使用不区分大小写的查询来检索与请求密码重设的电子邮件地址匹配的帐户。

Ubuntu 18.04 LTS 上安装 Django 图文详解

知道与用户帐户相关联的电子邮件地址的攻击者可以制作与该帐户相关联的地址不同的电子邮件地址,但是由于Unicode大小写转换的行为,该电子邮件地址在大小写转换后不再与众不同。 否则将比较给定的数据库大小写转换或排序行为。 在这种情况下,攻击者可以收到用户帐户的有效密码重置令牌。

受影响的版本

  • Django master分支
  • Django 3.0
  • Django 2.2
  • Django 1.11

解决方案:

Django正式发布了补丁来修复此漏洞,请受影响的用户尽快升级Django。

Ubuntu 18.04 LTS 上安装 Django 图文详解  https://www.linuxidc.com/Linux/2019-12/161673.htm

Django 3.0 发布,内置异步功能并支持MariaDB和Python 3.6、3.7和3.8  https://www.linuxidc.com/Linux/2019-12/161672.htm

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-12/161762.htm

linux
相关资讯       Django漏洞  CVE-2019-19844 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款